%global packname  units
%global packvers  0.6-2
%global rlibdir   %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.6.2
Release:          2%{?dist}
Summary:          Measurement Units for R Vectors

License:          GPLv2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packvers}.tar.gz

BuildRequires:    R-devel >= 3.0.0
BuildRequires:    R-Rcpp-devel udunits2-devel R-testthat
# BuildRequires:  R-udunits2 R-NISTunits R-measurements
# BuildRequires:  R-tibble R-pillar R-ggforce R-magrittr
# BuildRequires:  R-knitr R-rmarkdown
Requires:         R-Rcpp
Recommends:       R-xml2

%description
Support for measurement units in R vectors, matrices and arrays: automatic
propagation, conversion, derivation and simplification of units; raising
errors in case of unit incompatibility. Compatible with the POSIXct, Date
and difftime classes. Uses the UNIDATA udunits library and unit database
for unit compatibility checking and conversion.

%package devel
Summary:          Development Files for R-%{packname}
Requires:         %{name}%{?_isa} = %{version}-%{release}
Requires:         R-core-devel%{?_isa}

%description devel
Header files for %{packname}.

%prep
%setup -q -c -n %{packname}

# Skip test using suggested package
sed -i '/udunits database/a skip_if_not_installed("xml2")' %{packname}/tests/testthat/test_udunits.R

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
export LANG=C.UTF-8
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check --ignore-vignettes %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/share

%files devel
%{rlibdir}/%{packname}/include

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 05 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.6.2-1
- Update to 0.6-2

* Sat Sep 22 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.6.1-1
- Update to 0.6-1
- Remove patch for 0.6-0 (included in 0.6-1)

* Wed Aug 15 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.6.0-3
- Bump version to trigger rebuild due to target misconfiguration in f29
- Fix SPEC indentations

* Tue Aug 14 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.6.0-2
- Remove R-core and udunits2 from Requires, not needed

* Mon Aug 13 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.6.0-1
- initial package for Fedora
